import { usePost, stringify, useGet, type Response } from "@/.cool";
import type { GetPage } from '../types/index'

export type AppUpdateNoticePageResult = {
    noticeId: string
    createdTime: string
    readFlag: string
    noticeName: string
}
export type AppUpdateNoticeResult = {
    id: string
    updateTime: string
    createdUserName: string
    content: string
}
export type pageParams = {
    userId: string
}
export function getAppUpdateNoticePage(parameter: any) {
    return useGet(`/subject/notice-user/page`, parameter) as Promise<GetPage<AppUpdateNoticePageResult>>
}


export function fetchAppUpdateNotice(parameter: any) {
    return useGet(`/subject/notice/app/read/${parameter.id}`) as Promise<AppUpdateNoticeResult>
}

